#!/bin/sh

TMPFILE="$TMPDIR/ecgs$USER$$.tmp"
trap "rm $TMPFILE" 15
cat - > "$TMPFILE"

TEMP="$TMPDIR/"; export TEMP

USECROPBOX=""
grep CropBox "$TMPFILE" >/dev/null && USECROPBOX="-dUseCropBox"

# using GraphicsAlphaBits=2 gives nicer antialiasing but can give performance problems on some files
# we no longer set -dUseCIEColor because of performance problems on some files

if [ -d "$ECTOPDIR/gpl/gs" ]
then
  GSDIR="$ECTOPDIR/gpl/gs"
  "$GSDIR/bin/$ECPLATFORM/gs" -I"$GSDIR/Resource/Init:$GSDIR/lib:$GSDIR/fonts" -sDEVICE=ppmraw $1 -q $USECROPBOX -dGraphicsAlphaBits=1 -dTextAlphaBits=2 -dBATCH -dSAFER -dNOPAUSE -sOutputFile=- "$TMPFILE"
else
  gs -sDEVICE=ppmraw $1 -q $USECROPBOX -dGraphicsAlphaBits=1 -dTextAlphaBits=2 -dBATCH -dSAFER -dNOPAUSE -sOutputFile=- "$TMPFILE"
fi

rm -f "$TMPFILE"

