BEGIN {
  BINMODE = "rw"
  is_eps = 0
  is_done = 0
  has_header = 0
}

{
  if (is_done)
  {
    print $0
  }
  else
  {
    if ( $0 ~ /%!PS-/ )
    {
      if ( $0 ~ /EPSF/ )
      {
        is_eps = 1
      }
      if (has_header) is_done = 1
      print $0
      has_header = 1
    }
    else if ( $0 ~ /^%%BoundingBox:[ ]*[-0-9.]+[ ]+[-0-9.]+[ ]+[0-9.]+[ ]+[0-9.]+/ )
    {
      split($0,bboxA,":")
      nn = split(bboxA[2],bbox)
      if (nn >= 4)
      {
        is_done = 1
        llx = bbox[1]
        lly = bbox[2]
        urx = bbox[3]
        ury = bbox[4]
        if (is_eps)
        {
          if (llx < 0 || lly < 0)
          {
            # avoid problems with EPS files having negative numbers for lower left
            # fall back to ghostscript default behavior
            print $0
          }
          else
          {
            urx -= llx
            ury -= lly
            printf( "%%%%BoundingBox: %g %g %g %g\n", 0, 0, urx, ury )
            printf( "<< /PageSize [%g %g] >> setpagedevice\n", urx, ury )
            printf( "%g %g translate\n", -llx, -lly )
          }
        }
        else
        {
          printf( "%%%%BoundingBox: %g %g %g %g\n", llx, lly, urx, ury )
          printf( "<< /PageSize [%g %g] >> setpagedevice\n", urx, ury )
        }
      }
      else
      {
        print $0
      }
    }
    else
    {
      print $0
    }
  }
}
