#!/bin/sh

EC_MAILSERVER="$1"
EC_FROM_NAME="$2"
EC_FROM_ADDRESS="$3"
EC_RECIPIENT_NAME="$4"
EC_RECIPIENT_ADDRESS="$5"
EC_SUBJECT="$6"
EC_MF="$7"
EC_ATTACHMENT="$8"
EC_IF="$9"
RM_IF="$10"

EC_DATE="`date '+%B.%d.%Y'`"
EC_HOSTNAME="`hostname`"
MIME_BOUNDARY="EasyCopy.Mail.$EC_DATE.$EC_HOSTNAME.$$"
CONTENT_TYPE="image/octet-stream"

mk_mimecode ()
{
  echo "MIME-Version: 1.0"
  echo "To: $EC_RECIPIENT_NAME <$EC_RECIPIENT_ADDRESS>"
  echo "From: $EC_FROM_NAME <$EC_FROM_ADDRESS>"
  echo "Subject: $EC_SUBJECT"
  echo "Content-ID: ${MIME_BOUNDARY}_0"
  echo "Content-Type: multipart/mixed; boundary=\"$MIME_BOUNDARY\""
  echo ""
  echo "This is  a multimedia message in MIME  format.  If you are reading this"
  echo "prefix, your mail reader does  not understand MIME.  You may wish"
  echo "to look into upgrading to a newer version of  your mail reader."
  echo ""
  echo "--$MIME_BOUNDARY"
  echo "Content-ID: ${MIME_BOUNDARY}_1"
  echo "Content-Type: text/plain; charset=us-ascii"
  echo ""
  cat "$EC_MF"
  echo "--$MIME_BOUNDARY"
  echo "Content-ID: ${MIME_BOUNDARY}_2"

  echo "Content-Type: $CONTENT_TYPE; name=\"$EC_ATTACHMENT\""
  echo "Content-Transfer-Encoding: base64"
  echo "Content-Disposition: attachment; filename=\"$EC_ATTACHMENT\""
  echo ""
  "$ECBINDIR"/mimecode.bin "$EC_IF"
  echo "--$MIME_BOUNDARY--"
  echo ""
}

mimecode_and_mail ()
{
  if [ -f "$EC_IF" ]
  then
#    mk_mimecode | /usr/lib/sendmail -t -v
    mk_mimecode | $ECBINDIR/ecmail.bin $EC_MAILSERVER $EC_FROM_ADDRESS $EC_RECIPIENT_ADDRESS
  fi
}

EC_MAIL_MESSAGE=`mimecode_and_mail 2>&1`
"$ECBINDIR"/ecdialog.bin "$EC_MAIL_MESSAGE" &
rm -f "$EC_MF"
[ "$RM_IF" = "true" ] && rm -f "$EC_IF"

